ArNetworking: ArServerHandlerPopupInfo Class Reference

- Main Page
- Classes
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArServerHandlerPopupInfo Class Reference

`#include <ArServerHandlerPopup.h>`

List of all members.

## Detailed Description

Holds the information for a popup.

This holds the information for the popup.... So there's a message box with the title which has in it the message, and has between 1 and 3 buttons (button0, button1, and button2) with labels of button0Label, button1Label, and button2Label (if the label is empty or NULL then there'll be no button), the default button of defaultButtonNumber (0 - 2) and the escape button number of escapeButtonNumber (0 - 2)... when a button is pushed the

Parameters:

  | ignoreIdentifier | The identifier to use for ignoring these boxes, this should be NULL or empty if you don't want this particular box to be able to be ignored (if any popup with this identifier is already being ignored this one will be too)
  | title | The title of the box (displayed in the titlebar)
  | message | The string that will be displayed in the message box (the point of the whole thing)
  | popupType | The type of popup this is, which controls the icon displayed, may someday affect behavior
  | defaultButtonPressed | The button that enter defaults to (This should be whatever is most likely)
  | escapeButtonPressed | The button that escape defaults to (this should be doesn't change the state, ie like cancel), this also should be whats returned if the X is hit.
  | button0Label | The label that is displayed on button 0, the leftmost button
  | timeoutInSeconds | the number of seconds we should give people to respond to the popup before timing it out, 0 means leave it up forever (note that no clients may be watching this or no one may be at the console and use this option wisely (way too many untimed out popups could bog down the server))
  | timeoutString | The string that will be displayed if a timeout happens
  | button0Pressed | The string that will be put into the box if button0 is pressed (this is mainly so that with multiple clients connected the other clients will get feedback)
  | button1Label | The label that is displayed on button 1 (the middle button if there are 3, right button if there are two)
  | button1Pressed | The string that will be put into the box if button1 is pressed (this is mainly so that with multiple clients connected the other clients will get feedback)
  | button2Label | The label that is displayed on button 2 (the right button)
  | button2Pressed | The string that will be put into the box if button2 is pressed (this is mainly so that with multiple clients connected the other clients will get feedback)

## Public Member Functions
| ArServerHandlerPopupInfo (const ArServerHandlerPopupInfo &popupInfo)
| Copy constructor.
| ArServerHandlerPopupInfo (const char *ignoreIdentifier, const char *title, const char *message, ArServerHandlerPopup::PopupType popupType, ArTypes::Byte defaultButtonNumber, ArTypes::Byte escapeButtonNumber, int timeoutInSeconds, const char *timeoutString, const char *button0Label, const char *button0Pressed, const char *button1Label="", const char *button1Pressed="", const char *button2Label="", const char *button2Pressed="")
| Constructor.
const char * | getButton0Label (void)
| Gets the button0Label (the label on the leftmost button, must have a label).
const char * | getButton0Pressed (void)
| Gets the button0Pressed (string sent as box disppears if this button is pressed).
const char * | getButton1Label (void)
| Gets the button1Label (the label on the middle button, empty string or NULL for no button).
const char * | getButton1Pressed (void)
| Gets the button1Pressed (string sent as box disppears if this button is pressed).
const char * | getButton2Label (void)
| Gets the button2Label (the label on the right button, empty string or NULL for no button).
const char * | getButton2Pressed (void)
| Gets the button2Pressed (string sent as box disppears if this button is pressed).
ArTypes::Byte | getDefaultButtonNumber (void)
| Gets the default button number (whats pressed when enter is hit).
ArTypes::Byte | getEscapeButtonNumber (void)
| Gets the escape button number (whats pressed when escape is hit).
const char * | getIgnoreIdentifier (void)
| Gets the popup identifer (this is used only for ignoring popups, if empty or NULL then it can't be ignored).
const char * | getMessage (void)
| Gets the message (the long string that is displayed that explains things).
ArServerHandlerPopup::PopupType | getPopupType (void)
| Gets the type (the icon thats displayed and what type of popup it is).
int | getTimeout (void)
| Gets the timeout in seconds (0 is never).
const char * | getTimeoutString (void)
| Gets the timeout string (the string that is displayed on the popup if timeout occurs).
const char * | getTitle (void)
| Gets the title (the title of the popup box).
ArServerHandlerPopupInfo & | operator= (const ArServerHandlerPopupInfo &popupInfo)
| Assignment operator.
void | setButton0Label (const char *label)
| Sets the button0Label (the label on the leftmost button, must have a label).
void | setButton0Pressed (const char *pressed)
| Sets the button0Pressed (string sent as box disppears if this button is pressed).
void | setButton1Label (const char *label)
| Sets the button1Label (the label on the middle button, empty string or NULL for no button).
void | setButton1Pressed (const char *pressed)
| Sets the button1Pressed (string sent as box disppears if this button is pressed).
void | setButton2Label (const char *label)
| Sets the button2Label (the label on the right button, empty string or NULL for no button).
void | setButton2Pressed (const char *pressed)
| Sets the button2Pressed (string sent as box disppears if this button is pressed).
void | setDefaultButtonNumber (ArTypes::Byte defaultButtonNumber)
| Sets the default button number (whats pressed when enter is hit).
void | setEscapeButtonNumber (ArTypes::Byte escapeButtonNumber)
| Sets the escape button number (whats pressed when escape is hit).
void | setIgnoreIdentifier (const char *identifier)
| Gets the popup identifer (this is used only for ignoring popups, if empty or NULL then it can't be ignored).
void | setMessage (const char *message)
| Sets the message (the long string that is displayed that explains things).
void | setPopupType (ArServerHandlerPopup::PopupType popupType)
| Sets the type (the icon thats displayed and what type of popup it is).
void | setTimeout (int timeoutInSeconds)
| Sets the timeout in seconds (0 is never).
void | setTimeoutString (const char *timeoutString)
| Sets the timeout string (the string that is displayed on the popup if timeout occurs).
void | setTitle (const char *title)
| Sets the title (the title of the popup box).
virtual | ~ArServerHandlerPopupInfo ()
| Destructor.
## Protected Attributes
std::string | myButton0Label
std::string | myButton0Pressed
std::string | myButton1Label
std::string | myButton1Pressed
std::string | myButton2Label
std::string | myButton2Pressed
ArTypes::Byte | myDefaultButtonNumber
ArTypes::Byte | myEscapeButtonNumber
std::string | myIgnoreIdentifier
std::string | myMessage
ArServerHandlerPopup::PopupType | myPopupType
int | myTimeout
std::string | myTimeoutString
std::string | myTitle

The documentation for this class was generated from the following file:

- ArServerHandlerPopup.h